@import "./_variables.module.css";

.Header {
  display: flex;
  flex-flow: row wrap;
  background-color: var(--background);
  text-align: left;
  z-index: 99;
}

.logo {
  order: 1;
  flex: 1 0 0;
}

.search {
  flex: 3 1;
  order: 2;
  align-self: center;
  margin-left: 30px;
}

.navigation {
  order: 2;
  align-self: center;
  text-align: end;
  background-color: var(--background);
}

.btn {
  width: 40px;
  height: 40px;
  background-color: var(--background);
  border: none;
  margin: auto 10px;
}

.btn:hover {
  background-color: none;
}

.openedMenu {
  background: var(--background) center / contain url(../assets/icons/bar.svg);
}

img {
  padding: 20px;
  height: 60px;
}

.searchWrapper {
  width: 364px;
  position: relative;
}

.searchWrapper .result {
  position: fixed;
  margin-top: 4px;
  background: var(--background);
  max-height: 300px;
  width: 364px;
  overflow-y: scroll;
  border-radius: 4px;
}

.search .result button {
  width: 100%;
  text-align: left;
  color: var(--text-white);
  background: var(--background);
  background: none;
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 24px;
  border: none;
  padding: 4px 16px;
  cursor: pointer;
}

.search .result button:hover {
  background-color: #595e6d;
  color: var(--text-white);
}

.search .result button:active {
  color: #a1a1a1;
}

.search input {
  width: 300px;
  padding: 10px;
  border-radius: 10px;
  padding-left: 50px;
  background: no-repeat var(--text-white) 15px 7px url(../assets/icons/loop.svg);
  padding: auto 0;
}

@media screen and (max-width: 600px) {
  .Header {
    flex-wrap: wrap;
  }

  img {
    height: 40px;
  }

  .searchWrapper {
    margin: 0 auto;
  }
}

@media screen and (max-width: 720px) {
  .search {
    padding-bottom: 20px;
    text-align: center;
    margin: 0;
  }
}

@media screen and (min-width: 601px) {
  .navigation {
    display: none;
  }
}
